<div class="flex-row">
  <div class="col-6">
    <div class="flex-column">
      <div class="card-custom">
        <div class="card-body img-preview">
          <img width="100%" height="100%" [src]="preview" />
        </div>
        <div class="card-action">
          <div class="image-input">
            <div (click)="changePreview(media.media_url)" *ngFor="let media of product.media" class="image-item" [ngClass]="{ 'selected': media.media_url === preview }">
              <img class="imgSrc" width="100%" height="100%" [src]="media.media_url" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-6">
    <div class="flex-column">
      <div class="card-custom">
        <div class="card-title">
          <h1>{{ product.name }}</h1>
          <h5 class="text-muted">{{ product.category_id.category_name }}</h5>
          <small class="text-small text-muted text-uppercase">{{ product._id }}</small>
        </div>
        <div class="card-body">
          <p class="text-muted">{{ product.description }}</p>

          <div class="color-list">
            <div *ngFor="let entry of product.color" [ngStyle]="{ 'background-color': entry }" class="colors"></div>
          </div>

          <div class="tag-list">
            <div *ngFor="let entry of product.tag" class="tags btn-custom sm btn-capsule-custom text-center">
              {{ entry }}
            </div>
          </div>

          <div>
            <h1>{{ product.price | currency: 'NGN' }}</h1>
          </div>
        </div>
        <div class="card-action">
          <button class="btn-custom">
            <i class="lni-cart"></i> Add to cart
          </button>
          <button class="btn-custom">
            <i class="lni-heart"></i> Add to wishlist
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
